java -cp ../../zbnfjax/zbnf.jar org.vishia.zcmd.JZcmd testNum.jz.cmd
pause
exit /B

==JZcmd==

currdir = scriptdir;

Class Math = java.lang.Math;

main(){
  call testNum();
}

sub testNum()
{
  Num y1 = %java.lang.Math.sin(0.1);        //calls a static method directly  
  Num y2 = Math.sin(0.1);                   //The same static method with the Class variable
  Num y3 = (5+2)*3 * Math.sin(2.3);         //calculates something
  //shows result:
  <+out>y1 = <&y1:%1.5f>; y2 = <&y2:%1.5f>; y3 = <&y3:%1.5f>; <.n+>  
}